#
# spec file for package openslp (Version 1.1.5)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  openssl openssl-devel

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool openssl-devel perl rpm

Name:         openslp
Summary:      OpenSLP implementation of Service Location Protocol V2
Version:      1.1.5
Release:      73.15
License:      BSD, Other License(s), see package
Group:        System/Daemons
URL:          http://www.openslp.org/
PreReq:       %fillup_prereq %insserv_prereq
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source0:      %name-%version.tar.bz2
Source1:      slpd.init
Source2:      README.SuSE
Patch0:       HEAD.diff
Patch1:       %name.diff
Patch2:       auth.diff
Patch3:       extensions.diff
Patch4:       slptool-timeout.diff
Patch5:       v1dadiscovery.diff
Patch6:       openslp.audit.diff

%description
Service Location Protocol is an IETF standards track protocol that
provides a framework to allow networking applications to discover the
existence, location, and configuration of networked services in
enterprise networks.

OpenSLP is an open source implementation of the SLPv2 protocol as
defined

by RFC 2608 and RFC 2614.  This package includes the daemon, libraries,
header files and documentation.



Authors:
--------
    Matthew Peterson <mpeterson@calderasystems.com>
    Ganesan Rajagopal   <rganesan@myrealbox.com>
    David McCormack     <david.mccormack@ottawa.com>
    Evan Hughes <hughes@lab43.org>
    Matthieu Desmons <mdes@ocegr.fr>
    Praveen Kumar Amritaluru <praveen@india.hp.com>

%package server
Group:        System/Daemons
Summary:      OpenSLP implementation of Service Location Protocol V2

%description server
Service Location Protocol is an IETF standards track protocol that
provides a framework to allow networking applications to discover the
existence, location, and configuration of networked services in
enterprise networks.

This package contains the SLP server. Every system, which provide any
services which should be used via a SLP client must run this server and
register the service.



Authors:
--------
    Matthew Peterson <mpeterson@calderasystems.com>
    Ganesan Rajagopal   <rganesan@myrealbox.com>
    David McCormack     <david.mccormack@ottawa.com>
    Evan Hughes <hughes@lab43.org>
    Matthieu Desmons <mdes@ocegr.fr>
    Praveen Kumar Amritaluru <praveen@india.hp.com>

%package devel
Requires:     openssl-devel openslp = %version
Group:        System/Daemons
Summary:      OpenSLP development SDK

%description devel
Service Location Protocol is an IETF standards track protocol that
provides a framework to allow networking applications to discover the
existence, location, and configuration of networked services in
enterprise networks.

This package contains header and library files to compile applications
with SLP support. It contains also developer documentation to develop
such applications.



Authors:
--------
    Matthew Peterson <mpeterson@calderasystems.com>
    Ganesan Rajagopal   <rganesan@myrealbox.com>
    David McCormack     <david.mccormack@ottawa.com>
    Evan Hughes <hughes@lab43.org>
    Matthieu Desmons <mdes@ocegr.fr>
    Praveen Kumar Amritaluru <praveen@india.hp.com>

%prep
%setup -q
%patch
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6
autoreconf --force --install

%build
#export CFLAGS="$RPM_OPT_FLAGS"
export CFLAGS="-O0 -g"
./configure \
  --prefix=/usr \
  --libdir=%_libdir \
  --sysconfdir=%_sysconfdir \
  --enable-slpv1 \
  --enable-async-api \
  --enable-slpv2-security
make

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/etc/slp.reg.d
cp etc/slp.conf ${RPM_BUILD_ROOT}/etc
cp etc/slp.reg ${RPM_BUILD_ROOT}/etc
cp etc/slp.spi ${RPM_BUILD_ROOT}/etc
mkdir -p ${RPM_BUILD_ROOT}/%_libdir
libtool install libslp/libslp.la ${RPM_BUILD_ROOT}/%_libdir
mkdir -p  ${RPM_BUILD_ROOT}/usr/sbin
libtool install slpd/slpd ${RPM_BUILD_ROOT}/usr/sbin 
mkdir -p ${RPM_BUILD_ROOT}/usr/bin
libtool install slptool/slptool ${RPM_BUILD_ROOT}/usr/bin
mkdir -p ${RPM_BUILD_ROOT}/usr/include
cp libslp/slp.h ${RPM_BUILD_ROOT}/usr/include
mkdir -p ${RPM_BUILD_ROOT}%_defaultdocdir/%name
find . -name CVS -o -name .cvsignore -o -name .xvpics | xargs rm -rf
cp -a AUTHORS COPYING README FAQ doc/rfc doc/html %SOURCE2 \
   ${RPM_BUILD_ROOT}%_defaultdocdir/%name
mkdir -p ${RPM_BUILD_ROOT}/etc/init.d/
install -m 755 %{SOURCE1} ${RPM_BUILD_ROOT}/etc/init.d/slpd
ln -sf ../../etc/init.d/slpd ${RPM_BUILD_ROOT}/usr/sbin/rcslpd
ln -sf ../../etc/init.d/slpd ${RPM_BUILD_ROOT}/usr/sbin/rcopenslp

%post
%run_ldconfig

%postun
%run_ldconfig

%post server
%if %sles_version > 0
%{fillup_and_insserv -y slpd}
%else
%{fillup_and_insserv slpd}
%endif

%postun server
%restart_on_update slpd
%insserv_cleanup

%preun server
%stop_on_removal slpd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %_defaultdocdir/%name
%dir %_defaultdocdir/%name/html
%doc %_defaultdocdir/%name/AUTHORS
%doc %_defaultdocdir/%name/COPYING
%doc %_defaultdocdir/%name/README
%doc %_defaultdocdir/%name/README.SuSE
%_libdir/libslp.so.*
/usr/bin/slptool
%config(noreplace) /etc/slp.conf
%config(noreplace) /etc/slp.spi

%files server
%defattr(-,root,root)
%doc %dir %_defaultdocdir/%name/FAQ
%doc %_defaultdocdir/%name/html/IntroductionToSLP
%doc %_defaultdocdir/%name/html/UsersGuide
%doc %_defaultdocdir/%name/html/faq.html
%doc %_defaultdocdir/%name/rfc
%dir /etc/slp.reg.d/
/usr/sbin/rcopenslp
/usr/sbin/rcslpd
/usr/sbin/slpd
/etc/init.d/slpd
%config(noreplace) /etc/slp.reg

%files devel
%defattr(-,root,root)
%doc %_defaultdocdir/%name/html/ProgrammersGuide
/usr/include/slp.h
%_libdir/libslp.a
%_libdir/libslp.la
%_libdir/libslp.so

%changelog -n openslp
* Fri Feb 25 2005 - mls@suse.de
- integrate security audit patch [#65200]
* Fri Dec 03 2004 - mls@suse.de
- fix slpv DA discovery scope handling (#48728)
- use _dns-sd instead of _mdns in mdns findsrvtypes query (#48325)
* Tue Jun 01 2004 - mls@suse.de
- added fillup and insserv prereq
* Thu May 27 2004 - mls@suse.de
- use /proc/net/tcp_listen and /proc/net/tcp6_listen if
  available to keep things fast on systems with lots of
  network connections [#40888]
* Wed May 05 2004 - mls@suse.de
- treat empty attributes as illegal [#39669]
- always start slpd on SLES [#39863]
* Fri Apr 23 2004 - mls@suse.de
- libslp: use configured TTL settings [#39030]
* Fri Apr 02 2004 - mls@suse.de
- beta is over, don't always start slpd
* Fri Apr 02 2004 - kukuk@suse.de
- Fix init script
* Wed Mar 31 2004 - mls@suse.de
- fix sighup processing
- clean up spi code
- fix spi null pointer reference
- fix namingauth comparison
- added try-restart to rcslpd
- fix slp.conf re-read
- fix prlist buffer overrun
* Mon Mar 29 2004 - mls@suse.de
- turn around srvtypes order in mdns
* Thu Mar 18 2004 - mls@suse.de
- code cleanup
- provide A RR with SRV RRs
- don't pack .xvpics
* Fri Mar 12 2004 - mls@suse.de
- added missing SLPGetMDNSName prototype to slp.h
* Fri Mar 12 2004 - mls@suse.de
- slpd: fix hostname detection segfault
- slpd: use ttl 255 for mdns
- slpd: put attrs in mdns TXT RR
- libslp: check mdns ttl
- libslp: make getattr work with mdns
- libslp: make mdns name available via new SLPGetMDNSName() function
* Thu Mar 04 2004 - mls@suse.de
- libslp: add scope/nameingauth/predicate to query
- slpd: reply to mdns service requests
- slpd: don't play DA if our hostname expands to loopback
- slpd: fix null pointer reference if SrvReg request is sent
  over tcp (as done by apple)
* Fri Feb 27 2004 - mls@suse.de
- slpd: check port status every 15 seconds for watch-port-tcp/udp
  entries
- libslp: send MDNS queries for scope _mdns
* Sun Feb 15 2004 - adrian@suse.de
- export full qualified hostnames for $HOSTNAME
- replace several $HOSTNAME tags in a srvurl
- do only accept .reg files (no .rpmsave for instance)
* Sat Feb 14 2004 - adrian@suse.de
- fix /proc/net/tcp* parsing
- ONLY FOR BETA: start slpd always
* Thu Jan 29 2004 - adrian@suse.de
- fix reading from slpd.reg.d directory
  (was broken since chroot run)
* Wed Jan 14 2004 - adrian@suse.de
- slptool register now services with max timeout.
* Tue Dec 16 2003 - adrian@suse.de
- fix sig11 when using the library without spi file
* Mon Dec 08 2003 - adrian@suse.de
- security enhancements:
  * use chroot and open needed file descriptors before
  * panic if chroot or setuid fails
  * pid-file= option in reg files is useless now, so
  tcp-port= must be used for this now
- add SSL support again
* Wed Nov 26 2003 - adrian@suse.de
- add buffer fix from cvs
- add README.SuSE with config howto
* Thu Nov 20 2003 - adrian@suse.de
- drop the multicast route creation in runlevel script.
  we do not need it anymore with 1.1.5
* Wed Nov 19 2003 - adrian@suse.de
- update to version 1.1.5
  * development version, but it contains lots of fixes
- use $HOSTNAME instead of $LOCALHOST in reg files
* Fri Nov 14 2003 - adrian@suse.de
- use correct keyword "X-UnitedLinux-Should-Start" in init script
  (seen by Martin Vidner)
* Thu Nov 13 2003 - adrian@suse.de
- add "tcp-port=" option to test services running via (x)inted
- start after (x)inetd
* Wed Nov 12 2003 - adrian@suse.de
- add code to parse .reg files from any package below /etc/slp.reg.d/
* Sun Nov 09 2003 - adrian@suse.de
- fix security issue in init script
* Sat Nov 08 2003 - adrian@suse.de
- initial package of version 1.0.11
